> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/virtual-accounts/deactivate-virtual-account/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # Deactivate a Virtual Account PUT https://api.sandbox.mangopay.com/v2.01/{ClientId}/wallets/{WalletId}/virtual-accounts/{VirtualAccountId} Content-Type: application/json **Caution - Deactivating a Virtual Account is irreversible** Once the Virtual Account object is deactivated, it is closed and cannot be reopened. Any funds wired to this IBAN or local account details won't be credited to the corresponding wallet and will be returned to the sender. If such cases arise, contact Mangopay via the Dashboard. Close an account permanently to prevent it being used This call serves only to deactivate a virtual account if it is no longer needed. Once deactivated, the account `Status` is `CLOSED`. Reference: https://docs.mangopay.com/api-reference/virtual-accounts/deactivate-virtual-account ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. - `WalletId` (string, required) — The unique identifier of the wallet. - `VirtualAccountId` (string, required) — The unique identifier of the Virtual Account or legacy Banking Alias (the legacy `BankingAliasId` value can be used on this endpoint). ### Body (application/json) This endpoint expects a DeactivateAVirtualAccountRequest. - `Active` (boolean, optional) — Whether or not the Virtual Account is active. **Caution:** Setting this value to `false` permanently closes the account and is irreversible. ## Response ### 200 Success - `VirtualAccountResponse` ## Types ### VirtualAccount_AU Australian Virtual Account with `Country` `AU`. `LocalAccountDetails.Account` uses the AU-specific format (`BSBCode`, `AccountNumber`). `InternationalAccountDetails` is always `null` because `Capabilities.InternationalPayinAvailable` is always `false`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `WalletId` (string, optional) — The unique identifier of the wallet. - `VirtualAccountPurpose` (string, optional) — **Returned values:** `COLLECTION`, `USER_OWNED` The type of the virtual account: - `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users. - `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment. For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide. - `Status` (string, optional) — **Returned values:** `PENDING`, `ACTIVE`, `BLOCKED`, `CLOSED`, `FAILED` The status of the Virtual Account: - `PENDING` – The account creation request is being processed and full account details may not yet be returned. Any funds sent to the account are returned (if account details exist). `PENDING` can transition to `ACTIVE` or `FAILED`. - `ACTIVE` – The account is active and can receive funds (see note about delayed [UK CoP recognition](#set-up-the-account) for `GB` accounts). `ACTIVE` can transition to `BLOCKED` or `CLOSED`. - `BLOCKED` – The account is blocked and is not active. Any funds sent to the account are returned. This temporary status may be used during processes relating to user verification or fraud screening. `BLOCKED` can transition to `ACTIVE` or `CLOSED`. - `CLOSED` – The account has been deactivated and is closed. Any funds sent to the account are returned. This is a final state. - `FAILED` – The account creation request failed or was rejected. This final state is rare. Any funds sent to the account are returned (if account details exist). See the [virtual account](/guides/payment-methods/banking/virtual-iban#status) guide for more details. - `Active` (boolean, optional) — Whether or not the Virtual Account is active. - `AccountOwner` (string, optional) — The owner of the virtual account. The account owner is assigned automatically depending on the `VirtualAccountPurpose`: - `COLLECTION` – Owned by Mangopay SA or Mangopay UK Ltd., mentioning the platform's trading name in the format "MGP `PlatformTradingName`" - `USER_OWNED` – Owned by the owner of the associated wallet: `FirstName` `LastName` for Natural Users; `Name` for Legal Users - `Capabilities` (VirtualAccountCapabilities, optional) — Information about the account's payment capabilities. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `Country` (string, optional) — **Returned values:** `AU` The two-letter ISO 3166-1 country code of the Virtual Account. - `LocalAccountDetails` (VirtualAccountLocalDetails_AU, optional, nullable) — The account details in local format, populated if `Capabilities.LocalPayinAvailable` is `true`. **Caution:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `LocalAccountDetails.Account` object has different properties depending on the virtual account `Country`, and these may change over time as Mangopay's coverage expands. - `InternationalAccountDetails` (any, optional) — Always `null` for `AU` Virtual Accounts because `Capabilities.InternationalPayinAvailable` is always `false`. The account can only accept domestic wire transfers. ### VirtualAccount_CA Canadian Virtual Account with `Country` `CA`. `LocalAccountDetails.Account` uses the CA-specific format (`BranchCode`, `InstitutionNumber`, `AccountNumber`). `InternationalAccountDetails` is always `null` because `Capabilities.InternationalPayinAvailable` is always `false`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `WalletId` (string, optional) — The unique identifier of the wallet. - `VirtualAccountPurpose` (string, optional) — **Returned values:** `COLLECTION`, `USER_OWNED` The type of the virtual account: - `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users. - `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment. For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide. - `Status` (string, optional) — **Returned values:** `PENDING`, `ACTIVE`, `BLOCKED`, `CLOSED`, `FAILED` The status of the Virtual Account: - `PENDING` – The account creation request is being processed and full account details may not yet be returned. Any funds sent to the account are returned (if account details exist). `PENDING` can transition to `ACTIVE` or `FAILED`. - `ACTIVE` – The account is active and can receive funds (see note about delayed [UK CoP recognition](#set-up-the-account) for `GB` accounts). `ACTIVE` can transition to `BLOCKED` or `CLOSED`. - `BLOCKED` – The account is blocked and is not active. Any funds sent to the account are returned. This temporary status may be used during processes relating to user verification or fraud screening. `BLOCKED` can transition to `ACTIVE` or `CLOSED`. - `CLOSED` – The account has been deactivated and is closed. Any funds sent to the account are returned. This is a final state. - `FAILED` – The account creation request failed or was rejected. This final state is rare. Any funds sent to the account are returned (if account details exist). See the [virtual account](/guides/payment-methods/banking/virtual-iban#status) guide for more details. - `Active` (boolean, optional) — Whether or not the Virtual Account is active. - `AccountOwner` (string, optional) — The owner of the virtual account. The account owner is assigned automatically depending on the `VirtualAccountPurpose`: - `COLLECTION` – Owned by Mangopay SA or Mangopay UK Ltd., mentioning the platform's trading name in the format "MGP `PlatformTradingName`" - `USER_OWNED` – Owned by the owner of the associated wallet: `FirstName` `LastName` for Natural Users; `Name` for Legal Users - `Capabilities` (VirtualAccountCapabilities, optional) — Information about the account's payment capabilities. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `Country` (string, optional) — **Returned values:** `CA` The two-letter ISO 3166-1 country code of the Virtual Account. - `LocalAccountDetails` (VirtualAccountLocalDetails_CA, optional, nullable) — The account details in local format, populated if `Capabilities.LocalPayinAvailable` is `true`. **Caution:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `LocalAccountDetails.Account` object has different properties depending on the virtual account `Country`, and these may change over time as Mangopay's coverage expands. - `InternationalAccountDetails` (any, optional) — Always `null` for `CA` Virtual Accounts because `Capabilities.InternationalPayinAvailable` is always `false`. ### VirtualAccount_DE German Virtual Account with `Country` `DE`. `LocalAccountDetails.Account` uses the IBAN format. `InternationalAccountDetails` is populated if `Capabilities.InternationalPayinAvailable` is `true`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `WalletId` (string, optional) — The unique identifier of the wallet. - `VirtualAccountPurpose` (string, optional) — **Returned values:** `COLLECTION`, `USER_OWNED` The type of the virtual account: - `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users. - `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment. For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide. - `Status` (string, optional) — **Returned values:** `PENDING`, `ACTIVE`, `BLOCKED`, `CLOSED`, `FAILED` The status of the Virtual Account: - `PENDING` – The account creation request is being processed and full account details may not yet be returned. Any funds sent to the account are returned (if account details exist). `PENDING` can transition to `ACTIVE` or `FAILED`. - `ACTIVE` – The account is active and can receive funds (see note about delayed [UK CoP recognition](#set-up-the-account) for `GB` accounts). `ACTIVE` can transition to `BLOCKED` or `CLOSED`. - `BLOCKED` – The account is blocked and is not active. Any funds sent to the account are returned. This temporary status may be used during processes relating to user verification or fraud screening. `BLOCKED` can transition to `ACTIVE` or `CLOSED`. - `CLOSED` – The account has been deactivated and is closed. Any funds sent to the account are returned. This is a final state. - `FAILED` – The account creation request failed or was rejected. This final state is rare. Any funds sent to the account are returned (if account details exist). See the [virtual account](/guides/payment-methods/banking/virtual-iban#status) guide for more details. - `Active` (boolean, optional) — Whether or not the Virtual Account is active. - `AccountOwner` (string, optional) — The owner of the virtual account. The account owner is assigned automatically depending on the `VirtualAccountPurpose`: - `COLLECTION` – Owned by Mangopay SA or Mangopay UK Ltd., mentioning the platform's trading name in the format "MGP `PlatformTradingName`" - `USER_OWNED` – Owned by the owner of the associated wallet: `FirstName` `LastName` for Natural Users; `Name` for Legal Users - `Capabilities` (VirtualAccountCapabilities, optional) — Information about the account's payment capabilities. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `Country` (string, optional) — **Returned values:** `DE` The two-letter ISO 3166-1 country code of the Virtual Account. - `LocalAccountDetails` (VirtualAccountLocalDetails_IBAN, optional, nullable) — The account details in local format, populated if `Capabilities.LocalPayinAvailable` is `true`. **Caution:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `LocalAccountDetails.Account` object has different properties depending on the virtual account `Country`, and these may change over time as Mangopay's coverage expands. - `InternationalAccountDetails` (list of VirtualAccountInternationalDetailsItem, optional, nullable) — List of the account details in international format, populated if `Capabilities.InternationalPayinAvailable` is `true`. **Best practice:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `InternationalAccountDetails.Account` object may be `null` depending on the virtual account `Country`. ### VirtualAccount_DK Danish Virtual Account with `Country` `DK`. `LocalAccountDetails.Account` uses the DK-specific format (`BankCode`, `AccountNumber`). `InternationalAccountDetails` is populated if `Capabilities.InternationalPayinAvailable` is `true`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `WalletId` (string, optional) — The unique identifier of the wallet. - `VirtualAccountPurpose` (string, optional) — **Returned values:** `COLLECTION`, `USER_OWNED` The type of the virtual account: - `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users. - `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment. For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide. - `Status` (string, optional) — **Returned values:** `PENDING`, `ACTIVE`, `BLOCKED`, `CLOSED`, `FAILED` The status of the Virtual Account: - `PENDING` – The account creation request is being processed and full account details may not yet be returned. Any funds sent to the account are returned (if account details exist). `PENDING` can transition to `ACTIVE` or `FAILED`. - `ACTIVE` – The account is active and can receive funds (see note about delayed [UK CoP recognition](#set-up-the-account) for `GB` accounts). `ACTIVE` can transition to `BLOCKED` or `CLOSED`. - `BLOCKED` – The account is blocked and is not active. Any funds sent to the account are returned. This temporary status may be used during processes relating to user verification or fraud screening. `BLOCKED` can transition to `ACTIVE` or `CLOSED`. - `CLOSED` – The account has been deactivated and is closed. Any funds sent to the account are returned. This is a final state. - `FAILED` – The account creation request failed or was rejected. This final state is rare. Any funds sent to the account are returned (if account details exist). See the [virtual account](/guides/payment-methods/banking/virtual-iban#status) guide for more details. - `Active` (boolean, optional) — Whether or not the Virtual Account is active. - `AccountOwner` (string, optional) — The owner of the virtual account. The account owner is assigned automatically depending on the `VirtualAccountPurpose`: - `COLLECTION` – Owned by Mangopay SA or Mangopay UK Ltd., mentioning the platform's trading name in the format "MGP `PlatformTradingName`" - `USER_OWNED` – Owned by the owner of the associated wallet: `FirstName` `LastName` for Natural Users; `Name` for Legal Users - `Capabilities` (VirtualAccountCapabilities, optional) — Information about the account's payment capabilities. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `Country` (string, optional) — **Returned values:** `DK` The two-letter ISO 3166-1 country code of the Virtual Account. - `LocalAccountDetails` (VirtualAccountLocalDetails_DK, optional, nullable) — The account details in local format, populated if `Capabilities.LocalPayinAvailable` is `true`. **Caution:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `LocalAccountDetails.Account` object has different properties depending on the virtual account `Country`, and these may change over time as Mangopay's coverage expands. - `InternationalAccountDetails` (list of VirtualAccountInternationalDetailsItem, optional, nullable) — List of the account details in international format, populated if `Capabilities.InternationalPayinAvailable` is `true`. **Best practice:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `InternationalAccountDetails.Account` object may be `null` depending on the virtual account `Country`. ### VirtualAccount_ES Spanish Virtual Account with `Country` `ES`. `LocalAccountDetails.Account` uses the IBAN format. `InternationalAccountDetails` is populated if `Capabilities.InternationalPayinAvailable` is `true`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `WalletId` (string, optional) — The unique identifier of the wallet. - `VirtualAccountPurpose` (string, optional) — **Returned values:** `COLLECTION`, `USER_OWNED` The type of the virtual account: - `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users. - `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment. For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide. - `Status` (string, optional) — **Returned values:** `PENDING`, `ACTIVE`, `BLOCKED`, `CLOSED`, `FAILED` The status of the Virtual Account: - `PENDING` – The account creation request is being processed and full account details may not yet be returned. Any funds sent to the account are returned (if account details exist). `PENDING` can transition to `ACTIVE` or `FAILED`. - `ACTIVE` – The account is active and can receive funds (see note about delayed [UK CoP recognition](#set-up-the-account) for `GB` accounts). `ACTIVE` can transition to `BLOCKED` or `CLOSED`. - `BLOCKED` – The account is blocked and is not active. Any funds sent to the account are returned. This temporary status may be used during processes relating to user verification or fraud screening. `BLOCKED` can transition to `ACTIVE` or `CLOSED`. - `CLOSED` – The account has been deactivated and is closed. Any funds sent to the account are returned. This is a final state. - `FAILED` – The account creation request failed or was rejected. This final state is rare. Any funds sent to the account are returned (if account details exist). See the [virtual account](/guides/payment-methods/banking/virtual-iban#status) guide for more details. - `Active` (boolean, optional) — Whether or not the Virtual Account is active. - `AccountOwner` (string, optional) — The owner of the virtual account. The account owner is assigned automatically depending on the `VirtualAccountPurpose`: - `COLLECTION` – Owned by Mangopay SA or Mangopay UK Ltd., mentioning the platform's trading name in the format "MGP `PlatformTradingName`" - `USER_OWNED` – Owned by the owner of the associated wallet: `FirstName` `LastName` for Natural Users; `Name` for Legal Users - `Capabilities` (VirtualAccountCapabilities, optional) — Information about the account's payment capabilities. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `Country` (string, optional) — **Returned values:** `ES` The two-letter ISO 3166-1 country code of the Virtual Account. - `LocalAccountDetails` (VirtualAccountLocalDetails_IBAN, optional, nullable) — The account details in local format, populated if `Capabilities.LocalPayinAvailable` is `true`. **Caution:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `LocalAccountDetails.Account` object has different properties depending on the virtual account `Country`, and these may change over time as Mangopay's coverage expands. - `InternationalAccountDetails` (list of VirtualAccountInternationalDetailsItem, optional, nullable) — List of the account details in international format, populated if `Capabilities.InternationalPayinAvailable` is `true`. **Best practice:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `InternationalAccountDetails.Account` object may be `null` depending on the virtual account `Country`. ### VirtualAccount_FR French Virtual Account with `Country` `FR`. `LocalAccountDetails.Account` uses the IBAN format. `InternationalAccountDetails` is populated if `Capabilities.InternationalPayinAvailable` is `true`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `WalletId` (string, optional) — The unique identifier of the wallet. - `VirtualAccountPurpose` (string, optional) — **Returned values:** `COLLECTION`, `USER_OWNED` The type of the virtual account: - `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users. - `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment. For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide. - `Status` (string, optional) — **Returned values:** `PENDING`, `ACTIVE`, `BLOCKED`, `CLOSED`, `FAILED` The status of the Virtual Account: - `PENDING` – The account creation request is being processed and full account details may not yet be returned. Any funds sent to the account are returned (if account details exist). `PENDING` can transition to `ACTIVE` or `FAILED`. - `ACTIVE` – The account is active and can receive funds (see note about delayed [UK CoP recognition](#set-up-the-account) for `GB` accounts). `ACTIVE` can transition to `BLOCKED` or `CLOSED`. - `BLOCKED` – The account is blocked and is not active. Any funds sent to the account are returned. This temporary status may be used during processes relating to user verification or fraud screening. `BLOCKED` can transition to `ACTIVE` or `CLOSED`. - `CLOSED` – The account has been deactivated and is closed. Any funds sent to the account are returned. This is a final state. - `FAILED` – The account creation request failed or was rejected. This final state is rare. Any funds sent to the account are returned (if account details exist). See the [virtual account](/guides/payment-methods/banking/virtual-iban#status) guide for more details. - `Active` (boolean, optional) — Whether or not the Virtual Account is active. - `AccountOwner` (string, optional) — The owner of the virtual account. The account owner is assigned automatically depending on the `VirtualAccountPurpose`: - `COLLECTION` – Owned by Mangopay SA or Mangopay UK Ltd., mentioning the platform's trading name in the format "MGP `PlatformTradingName`" - `USER_OWNED` – Owned by the owner of the associated wallet: `FirstName` `LastName` for Natural Users; `Name` for Legal Users - `Capabilities` (VirtualAccountCapabilities, optional) — Information about the account's payment capabilities. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `Country` (string, optional) — **Returned values:** `FR` The two-letter ISO 3166-1 country code of the Virtual Account. - `LocalAccountDetails` (VirtualAccountLocalDetails_IBAN, optional, nullable) — The account details in local format, populated if `Capabilities.LocalPayinAvailable` is `true`. **Caution:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `LocalAccountDetails.Account` object has different properties depending on the virtual account `Country`, and these may change over time as Mangopay's coverage expands. - `InternationalAccountDetails` (list of VirtualAccountInternationalDetailsItem, optional, nullable) — List of the account details in international format, populated if `Capabilities.InternationalPayinAvailable` is `true`. **Best practice:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `InternationalAccountDetails.Account` object may be `null` depending on the virtual account `Country`. ### VirtualAccount_GB United Kingdom (UK) Virtual Account with `Country` `GB`. `LocalAccountDetails.Account` uses the GB-specific format (`AccountNumber`, `SortCode`). `InternationalAccountDetails` is populated if `Capabilities.InternationalPayinAvailable` is `true`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `WalletId` (string, optional) — The unique identifier of the wallet. - `VirtualAccountPurpose` (string, optional) — **Returned values:** `COLLECTION`, `USER_OWNED` The type of the virtual account: - `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users. - `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment. For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide. - `Status` (string, optional) — **Returned values:** `PENDING`, `ACTIVE`, `BLOCKED`, `CLOSED`, `FAILED` The status of the Virtual Account: - `PENDING` – The account creation request is being processed and full account details may not yet be returned. Any funds sent to the account are returned (if account details exist). `PENDING` can transition to `ACTIVE` or `FAILED`. - `ACTIVE` – The account is active and can receive funds (see note about delayed [UK CoP recognition](#set-up-the-account) for `GB` accounts). `ACTIVE` can transition to `BLOCKED` or `CLOSED`. - `BLOCKED` – The account is blocked and is not active. Any funds sent to the account are returned. This temporary status may be used during processes relating to user verification or fraud screening. `BLOCKED` can transition to `ACTIVE` or `CLOSED`. - `CLOSED` – The account has been deactivated and is closed. Any funds sent to the account are returned. This is a final state. - `FAILED` – The account creation request failed or was rejected. This final state is rare. Any funds sent to the account are returned (if account details exist). See the [virtual account](/guides/payment-methods/banking/virtual-iban#status) guide for more details. - `Active` (boolean, optional) — Whether or not the Virtual Account is active. - `AccountOwner` (string, optional) — The owner of the virtual account. The account owner is assigned automatically depending on the `VirtualAccountPurpose`: - `COLLECTION` – Owned by Mangopay SA or Mangopay UK Ltd., mentioning the platform's trading name in the format "MGP `PlatformTradingName`" - `USER_OWNED` – Owned by the owner of the associated wallet: `FirstName` `LastName` for Natural Users; `Name` for Legal Users - `Capabilities` (VirtualAccountCapabilities, optional) — Information about the account's payment capabilities. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `Country` (string, optional) — **Returned values:** `GB` The two-letter ISO 3166-1 country code of the Virtual Account. - `LocalAccountDetails` (VirtualAccountLocalDetails_GB, optional, nullable) — The account details in local format, populated if `Capabilities.LocalPayinAvailable` is `true`. **Caution:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `LocalAccountDetails.Account` object has different properties depending on the virtual account `Country`, and these may change over time as Mangopay's coverage expands. - `InternationalAccountDetails` (list of VirtualAccountInternationalDetailsItem, optional, nullable) — List of the account details in international format, populated if `Capabilities.InternationalPayinAvailable` is `true`. **Best practice:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `InternationalAccountDetails.Account` object may be `null` depending on the virtual account `Country`. ### VirtualAccount_LI Liechtenstein Virtual Account with `Country` `LI`. `LocalAccountDetails.Account` uses the LI-specific format (`BCNumber`, `AccountNumber`). `InternationalAccountDetails` is populated if `Capabilities.InternationalPayinAvailable` is `true`. For `LI`, `InternationalAccountDetails.Account` uses the same format as `LocalAccountDetails.Account`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `WalletId` (string, optional) — The unique identifier of the wallet. - `VirtualAccountPurpose` (string, optional) — **Returned values:** `COLLECTION`, `USER_OWNED` The type of the virtual account: - `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users. - `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment. For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide. - `Status` (string, optional) — **Returned values:** `PENDING`, `ACTIVE`, `BLOCKED`, `CLOSED`, `FAILED` The status of the Virtual Account: - `PENDING` – The account creation request is being processed and full account details may not yet be returned. Any funds sent to the account are returned (if account details exist). `PENDING` can transition to `ACTIVE` or `FAILED`. - `ACTIVE` – The account is active and can receive funds (see note about delayed [UK CoP recognition](#set-up-the-account) for `GB` accounts). `ACTIVE` can transition to `BLOCKED` or `CLOSED`. - `BLOCKED` – The account is blocked and is not active. Any funds sent to the account are returned. This temporary status may be used during processes relating to user verification or fraud screening. `BLOCKED` can transition to `ACTIVE` or `CLOSED`. - `CLOSED` – The account has been deactivated and is closed. Any funds sent to the account are returned. This is a final state. - `FAILED` – The account creation request failed or was rejected. This final state is rare. Any funds sent to the account are returned (if account details exist). See the [virtual account](/guides/payment-methods/banking/virtual-iban#status) guide for more details. - `Active` (boolean, optional) — Whether or not the Virtual Account is active. - `AccountOwner` (string, optional) — The owner of the virtual account. The account owner is assigned automatically depending on the `VirtualAccountPurpose`: - `COLLECTION` – Owned by Mangopay SA or Mangopay UK Ltd., mentioning the platform's trading name in the format "MGP `PlatformTradingName`" - `USER_OWNED` – Owned by the owner of the associated wallet: `FirstName` `LastName` for Natural Users; `Name` for Legal Users - `Capabilities` (VirtualAccountCapabilities, optional) — Information about the account's payment capabilities. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `Country` (string, optional) — **Returned values:** `LI` The two-letter ISO 3166-1 country code of the Virtual Account. - `LocalAccountDetails` (VirtualAccountLocalDetails_LI, optional, nullable) — The account details in local format, populated if `Capabilities.LocalPayinAvailable` is `true`. **Caution:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `LocalAccountDetails.Account` object has different properties depending on the virtual account `Country`, and these may change over time as Mangopay's coverage expands. - `InternationalAccountDetails` (list of VirtualAccountInternationalDetailsItem_LI, optional, nullable) — List of the account details in international format, populated if `Capabilities.InternationalPayinAvailable` is `true`. **Best practice:** Retrieve both the fields and values of these child objects dynamically to present to the user. For `LI`, `InternationalAccountDetails.Account` uses the same format as `LocalAccountDetails.Account`. ### VirtualAccount_LU Luxembourg Virtual Account with `Country` `LU`. `LocalAccountDetails.Account` uses the IBAN format. `InternationalAccountDetails` is populated if `Capabilities.InternationalPayinAvailable` is `true`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `WalletId` (string, optional) — The unique identifier of the wallet. - `VirtualAccountPurpose` (string, optional) — **Returned values:** `COLLECTION`, `USER_OWNED` The type of the virtual account: - `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users. - `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment. For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide. - `Status` (string, optional) — **Returned values:** `PENDING`, `ACTIVE`, `BLOCKED`, `CLOSED`, `FAILED` The status of the Virtual Account: - `PENDING` – The account creation request is being processed and full account details may not yet be returned. Any funds sent to the account are returned (if account details exist). `PENDING` can transition to `ACTIVE` or `FAILED`. - `ACTIVE` – The account is active and can receive funds (see note about delayed [UK CoP recognition](#set-up-the-account) for `GB` accounts). `ACTIVE` can transition to `BLOCKED` or `CLOSED`. - `BLOCKED` – The account is blocked and is not active. Any funds sent to the account are returned. This temporary status may be used during processes relating to user verification or fraud screening. `BLOCKED` can transition to `ACTIVE` or `CLOSED`. - `CLOSED` – The account has been deactivated and is closed. Any funds sent to the account are returned. This is a final state. - `FAILED` – The account creation request failed or was rejected. This final state is rare. Any funds sent to the account are returned (if account details exist). See the [virtual account](/guides/payment-methods/banking/virtual-iban#status) guide for more details. - `Active` (boolean, optional) — Whether or not the Virtual Account is active. - `AccountOwner` (string, optional) — The owner of the virtual account. The account owner is assigned automatically depending on the `VirtualAccountPurpose`: - `COLLECTION` – Owned by Mangopay SA or Mangopay UK Ltd., mentioning the platform's trading name in the format "MGP `PlatformTradingName`" - `USER_OWNED` – Owned by the owner of the associated wallet: `FirstName` `LastName` for Natural Users; `Name` for Legal Users - `Capabilities` (VirtualAccountCapabilities, optional) — Information about the account's payment capabilities. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `Country` (string, optional) — **Returned values:** `LU` The two-letter ISO 3166-1 country code of the Virtual Account. - `LocalAccountDetails` (VirtualAccountLocalDetails_IBAN, optional, nullable) — The account details in local format, populated if `Capabilities.LocalPayinAvailable` is `true`. **Caution:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `LocalAccountDetails.Account` object has different properties depending on the virtual account `Country`, and these may change over time as Mangopay's coverage expands. - `InternationalAccountDetails` (list of VirtualAccountInternationalDetailsItem, optional, nullable) — List of the account details in international format, populated if `Capabilities.InternationalPayinAvailable` is `true`. **Best practice:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `InternationalAccountDetails.Account` object may be `null` depending on the virtual account `Country`. ### VirtualAccount_US United States Virtual Account with `Country` `US`. `LocalAccountDetails.Account` uses the US-specific format (`AccountNumber`, `AchNumber`, `FedWireNumber`, `AccountType`). `InternationalAccountDetails` is always `null` because `Capabilities.InternationalPayinAvailable` is always `false`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `WalletId` (string, optional) — The unique identifier of the wallet. - `VirtualAccountPurpose` (string, optional) — **Returned values:** `COLLECTION`, `USER_OWNED` The type of the virtual account: - `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users. - `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment. For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide. - `Status` (string, optional) — **Returned values:** `PENDING`, `ACTIVE`, `BLOCKED`, `CLOSED`, `FAILED` The status of the Virtual Account: - `PENDING` – The account creation request is being processed and full account details may not yet be returned. Any funds sent to the account are returned (if account details exist). `PENDING` can transition to `ACTIVE` or `FAILED`. - `ACTIVE` – The account is active and can receive funds (see note about delayed [UK CoP recognition](#set-up-the-account) for `GB` accounts). `ACTIVE` can transition to `BLOCKED` or `CLOSED`. - `BLOCKED` – The account is blocked and is not active. Any funds sent to the account are returned. This temporary status may be used during processes relating to user verification or fraud screening. `BLOCKED` can transition to `ACTIVE` or `CLOSED`. - `CLOSED` – The account has been deactivated and is closed. Any funds sent to the account are returned. This is a final state. - `FAILED` – The account creation request failed or was rejected. This final state is rare. Any funds sent to the account are returned (if account details exist). See the [virtual account](/guides/payment-methods/banking/virtual-iban#status) guide for more details. - `Active` (boolean, optional) — Whether or not the Virtual Account is active. - `AccountOwner` (string, optional) — The owner of the virtual account. The account owner is assigned automatically depending on the `VirtualAccountPurpose`: - `COLLECTION` – Owned by Mangopay SA or Mangopay UK Ltd., mentioning the platform's trading name in the format "MGP `PlatformTradingName`" - `USER_OWNED` – Owned by the owner of the associated wallet: `FirstName` `LastName` for Natural Users; `Name` for Legal Users - `Capabilities` (VirtualAccountCapabilities, optional) — Information about the account's payment capabilities. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `Country` (string, optional) — **Returned values:** `US` The two-letter ISO 3166-1 country code of the Virtual Account. - `LocalAccountDetails` (VirtualAccountLocalDetails_US, optional, nullable) — The account details in local format, populated if `Capabilities.LocalPayinAvailable` is `true`. **Caution:** Retrieve both the fields and values of these child objects dynamically to present to the user. The `LocalAccountDetails.Account` object has different properties depending on the virtual account `Country`, and these may change over time as Mangopay's coverage expands. - `InternationalAccountDetails` (any, optional) — Always `null` for `US` Virtual Accounts because `Capabilities.InternationalPayinAvailable` is always `false`. ### VirtualAccountCapabilities Information about the account's payment capabilities. - `LocalPayinAvailable` (boolean, optional) — Whether or not local bank wires can be made to this account. - `InternationalPayinAvailable` (boolean, optional) — Whether or not international bank wires can be made to this account. Returned `false` if `Country` is `US`, `CA`, or `AU`. - `Currencies` (list of string, optional) — **Returned values:** One or more currency codes in ISO 4217 format (EUR, GBP, etc.) List of currencies supported by the account. ### VirtualAccountLocalDetails_AU Local account details for `AU` Virtual Accounts. - `Address` (VirtualAccountAddress, optional) — The address associated with the account. - `Account` (VirtualAccountAccount_AU, optional, nullable) — Details of the account in local AU format. Returned when `Country` is `AU`. - `BankName` (string, optional, nullable) — The name of the bank. ### VirtualAccountLocalDetails_CA Local account details for `CA` Virtual Accounts. - `Address` (VirtualAccountAddress, optional) — The address associated with the account. - `Account` (VirtualAccountAccount_CA, optional, nullable) — Details of the account in local CA format. Returned when `Country` is `CA`. - `BankName` (string, optional, nullable) — The name of the bank. ### VirtualAccountLocalDetails_IBAN Local account details for `DE`, `ES`, `FR`, `LU` Virtual Accounts (IBAN format). - `Address` (VirtualAccountAddress, optional) — The address associated with the account. - `Account` (VirtualAccountAccount_IBAN, optional, nullable) — Details of the account in local IBAN format. Returned when `Country` is `DE`, `ES`, `FR`, or `LU`. - `BankName` (string, optional, nullable) — The name of the bank. ### VirtualAccountInternationalDetailsItem Item in the `InternationalAccountDetails` array (international IBAN format). Not populated for `US`, `CA`, or `AU` Virtual Accounts. - `Address` (VirtualAccountAddress, optional) — The address associated with the account. - `Account` (VirtualAccountInternationalAccount, optional, nullable) — Details of the account in international (IBAN) format. Returned `null` if `Country` is `US`, `CA`, or `AU` as `Capabilities.InternationalPayinAvailable` is `false` for these countries. - `BankName` (string, optional, nullable) — The name of the bank. ### VirtualAccountLocalDetails_DK Local account details for `DK` Virtual Accounts. - `Address` (VirtualAccountAddress, optional) — The address associated with the account. - `Account` (VirtualAccountAccount_DK, optional, nullable) — Details of the account in local DK format. Returned when `Country` is `DK`. - `BankName` (string, optional, nullable) — The name of the bank. ### VirtualAccountLocalDetails_GB Local account details for `GB` Virtual Accounts. - `Address` (VirtualAccountAddress, optional) — The address associated with the account. - `Account` (VirtualAccountAccount_GB, optional, nullable) — Details of the account in local GB format. Returned when `Country` is `GB`. - `BankName` (string, optional, nullable) — The name of the bank. ### VirtualAccountLocalDetails_LI Local account details for `LI` Virtual Accounts. - `Address` (VirtualAccountAddress, optional) — The address associated with the account. - `Account` (VirtualAccountAccount_LI, optional, nullable) — Details of the account in local LI format. Returned when `Country` is `LI`. - `BankName` (string, optional, nullable) — The name of the bank. ### VirtualAccountInternationalDetailsItem_LI Item in the `InternationalAccountDetails` array for `LI` Virtual Accounts. `Account` uses the same format as `LocalAccountDetails.Account`. - `Address` (VirtualAccountAddress, optional) — The address associated with the account. - `Account` (VirtualAccountAccount_LI, optional, nullable) — Details of the account in local LI format. Returned when `Country` is `LI`. - `BankName` (string, optional, nullable) — The name of the bank. ### VirtualAccountLocalDetails_US Local account details for `US` Virtual Accounts. - `Address` (VirtualAccountAddress, optional) — The address associated with the account. - `Account` (VirtualAccountAccount_US, optional, nullable) — Details of the account in local US format. Returned when `Country` is `US`. - `BankName` (string, optional, nullable) — The name of the bank. ### VirtualAccountAddress The address associated with the account. - `StreetName` (string, optional, nullable) — The building number and street name of the address. - `PostCode` (string, optional, nullable) — The postal code of the address. - `TownName` (string, optional, nullable) — The town or city of the address. - `CountrySubDivision` (string, optional, nullable) — The region, state, or county of the address. - `Country` (string, optional, nullable) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. ### VirtualAccountAccount_AU Details of the account in local AU format. Returned when `Country` is `AU`. - `BSBCode` (string, optional) — The 6-digit bank state branch (BSB) code of the AU local account. - `AccountNumber` (string, optional) — The 10-digit account number of the AU local account. ### VirtualAccountAccount_CA Details of the account in local CA format. Returned when `Country` is `CA`. - `BranchCode` (string, optional, nullable) — The 5-digit branch code or transit number of the CA account. - `InstitutionNumber` (string, optional, nullable) — The 3-digit institution number of the CA account. - `AccountNumber` (string, optional, nullable) — The account number of the account. ### VirtualAccountAccount_IBAN Details of the account in local IBAN format. Returned when `Country` is `DE`, `ES`, `FR`, or `LU`. - `Iban` (string, optional) — The international bank account number (IBAN) of the account. - `Bic` (string, optional) — The bank identifier code (BIC) of the account. ### VirtualAccountInternationalAccount Details of the account in international (IBAN) format. Returned `null` if `Country` is `US`, `CA`, or `AU` as `Capabilities.InternationalPayinAvailable` is `false` for these countries. - `Iban` (string, optional) — The international bank account number (IBAN) of the account. - `Bic` (string, optional) — The bank identifier code (BIC) of the account. ### VirtualAccountAccount_DK Details of the account in local DK format. Returned when `Country` is `DK`. - `BankCode` (string, optional) — The 4-digit bank code of the DK local account. - `AccountNumber` (string, optional) — The 10-digit account number of the DK local account. ### VirtualAccountAccount_GB Details of the account in local GB format. Returned when `Country` is `GB`. - `AccountNumber` (string, optional) — The account number of the account. - `SortCode` (string, optional) — The sort code of the account. ### VirtualAccountAccount_LI Details of the account in local LI format. Returned when `Country` is `LI`. - `BCNumber` (string, optional) — The 5-digit bank clearing number of the LI local account. - `AccountNumber` (string, optional) — The 12-digit account number of the LI local account. ### VirtualAccountAccount_US Details of the account in local US format. Returned when `Country` is `US`. - `AccountNumber` (string, optional, nullable) — The account number of the account. - `AchNumber` (string, optional, nullable) — The 9-digit ACH routing number of the US account. - `FedWireNumber` (string, optional, nullable) — The 9-digit Fedwire (ABA) number of the US account. - `AccountType` (string, optional) — The account type of the US account, which is always `CHECKING`. ## Examples **Request** ```json { "body": { "Active": false } } ``` **Response** ```json { "AccountOwner": "MGP PlatformTradingName", "Active": false, "Capabilities": { "Currencies": [ "GBP" ], "InternationalPayinAvailable": true, "LocalPayinAvailable": true }, "Country": "GB", "CreationDate": 1726220691, "Id": "wltbank_m_01J7NCAT73Q15SVSM9S6Z36GRZ", "InternationalAccountDetails": [ { "Account": { "Bic": "SAPYGB2L", "Iban": "GB92SAPY60838222276063" }, "Address": { "Country": "GB", "CountrySubDivision": null, "PostCode": "EC4N 7HR", "StreetName": "68 King William Street", "TownName": "London" }, "BankName": "Banking Circle S.A. UK Branch" } ], "LocalAccountDetails": { "Account": { "AccountNumber": "22276063", "SortCode": "608382" }, "Address": { "Country": "GB", "CountrySubDivision": null, "PostCode": "EC4N 7HR", "StreetName": "68 King William Street", "TownName": "London" }, "BankName": "Banking Circle S.A. UK Branch" }, "ResultCode": "000000", "ResultMessage": "Success", "Status": "CLOSED", "Tag": "Created using Mangopay API Postman Collection", "VirtualAccountPurpose": "COLLECTION", "WalletId": "wlt_m_01J7NC9YKP3NB1PADF4SHZY712" } ``` **SDK Code** ```javascript const mangopayInstance = require('mangopay4-nodejs-sdk'); const mangopay = new mangopayInstance({ clientId: 'client-id', clientApiKey: 'api-key', }) let myVirtualAccount = { Id: 'wltbank_01JCNPKMG875WHH0XFQPRHRHP6' } let myWallet = { Id: 'wlt_m_01J30991BXBB7VF28PBS82EWD3' } const deactivateVirtualAccount = async (walletId, virtualAccountId) => { return await mangopay.VirtualAccounts.deactivate(walletId, virtualAccountId) .then((response) => { console.info(response) return response }).catch((err) => { console.log(err); return false }); } deactivateVirtualAccount(myWallet.Id, myVirtualAccount.Id) ``` ```php Config->ClientId = "client-id"; $api->Config->ClientPassword = "api-key"; $api->Config->TemporaryFolder = "../tmp/"; try { $walletId = "wlt_m_01J30991BXBB7VF28PBS82EWD3"; $virtualAccountId = "wltbank_01JD4YFC4HP10J3HDH03WDJF95"; $response = $api->VirtualAccounts->Deactivate($walletId, $virtualAccountId); print_r($response); } catch(MGPResponseException $e) { print_r($e); } catch(MGPException $e) { print_r($e); } ``` ```ruby require 'mangopay' require 'PP' MangoPay.configure do |client| client.preproduction = true client.client_id = 'client-id' client.client_apiKey = 'api-key' client.log_file = File.join(Dir.pwd, 'mangopay.log') end myVirtualAccount = { Id: 'wltbank_01JCNN78THB9B2FX63RZ0F76KM' } myWallet = { Id: 'wlt_m_01J30991BXBB7VF28PBS82EWD3' } def deactivateVirtualAccount(walletId, virtualAccountId) begin response = MangoPay::VirtualAccount.deactivate(walletId, virtualAccountId) puts response return response end end pp(deactivateVirtualAccount(myWallet[:Id], myVirtualAccount[:Id])) ```